Page MenuHomePhabricator

Submitting action=edit with a bad model parameter results in a MWUnknownContentModelException exception
Closed, ResolvedPublic

Description

2016-09-12 09:28:36 [V9Z1RApAMFsAAECZIEgAAAAM] mw1256 jawikibooks 1.28.0-wmf.18 exception ERROR: [V9Z1RApAMFsAAECZIEgAAAAM] /w/index.php?action=submit&title=The   MWUnknownContentModelException from line 356 of /srv/mediawiki/php-1.28.0-wmf.18/includes/content/ContentHandler.php: The content model 'blahblah' is not registered on this wiki.
See https://www.mediawiki.org/wiki/Content_handlers to find out which extensions handle this content model. {"exception_id":"V9Z1RApAMFsAAECZIEgAAAAM"} 
[Exception MWUnknownContentModelException] (/srv/mediawiki/php-1.28.0-wmf.18/includes/content/ContentHandler.php:356) The content model 'blahblah' is not registered on this wiki.
See https://www.mediawiki.org/wiki/Content_handlers to find out which extensions handle this content model.
  #0 /srv/mediawiki/php-1.28.0-wmf.18/includes/EditPage.php(998): ContentHandler::getForModelID(string)
  #1 /srv/mediawiki/php-1.28.0-wmf.18/includes/EditPage.php(524): EditPage->importFormData(WebRequest)
  #2 /srv/mediawiki/php-1.28.0-wmf.18/includes/actions/EditAction.php(59): EditPage->edit()
  #3 /srv/mediawiki/php-1.28.0-wmf.18/includes/actions/SubmitAction.php(38): EditAction->show()
  #4 /srv/mediawiki/php-1.28.0-wmf.18/includes/MediaWiki.php(505): SubmitAction->show()
  #5 /srv/mediawiki/php-1.28.0-wmf.18/includes/MediaWiki.php(289): MediaWiki->performAction(Article, Title)
  #6 /srv/mediawiki/php-1.28.0-wmf.18/includes/MediaWiki.php(750): MediaWiki->performRequest()
  #7 /srv/mediawiki/php-1.28.0-wmf.18/includes/MediaWiki.php(521): MediaWiki->main()
  #8 /srv/mediawiki/php-1.28.0-wmf.18/index.php(43): MediaWiki->run()
  #9 /srv/mediawiki/w/index.php(3): include(string)
  #10 {main}

Event Timeline

Legoktm created this task.Sep 12 2016, 9:47 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 12 2016, 9:47 AM

Change 309957 had a related patch set uploaded (by Legoktm):
EditPage: Don't throw exceptions for invalid content models

https://gerrit.wikimedia.org/r/309957

Change 309957 merged by jenkins-bot:
EditPage: Don't throw exceptions for invalid content models

https://gerrit.wikimedia.org/r/309957

Legoktm closed this task as Resolved.Sep 13 2016, 10:21 PM